import greenfoot.*;  // (World, Actor, GreenfootImage, and Greenfoot)

/**
 * Gras - eine Klasse fr das Gras.
 * Das Attribut "zustand" soll beschreiben, wie gut gewachsen
 * das Gras ist.
 *
 * @author Ralf Punkenburg
 * @version 16.2.2007
 */
public class Gras extends Actor
{
    private int zustand;
    private static final int RATE = 5;// Wachstumsrate fr Gras

    public Gras() {
        zustand = 10; // bester Zustand
    }
    
    /**
     *  Liefert true, wenn dies Gras gut gewachsen ist, sonst false 
     */
    public boolean essbar() {
        if (zustand==10) return true;
        else return false;
    }
    
    /**
     *  Versetzt dies Gras in einen schlechten Zustand
     *  (mit entsprechender graphischer Darstellung)
     */
    public void aufessen(){
        zustand = 0;
        setImage("gras0.png");
    }
    
    /**
     *  Lsst das Gras wachsen (in Abhngigkeit von der Wachstumsrate) bis
     *  zu einem optimalen Zustand (mit entsprechender graphischer
     *  Darstellung)
     */
    public void act()
    {
        if (zustand<10 && Greenfoot.getRandomNumber(10)< RATE ) zustand++;
        if (zustand == 10) setImage("gras10.png");
        if (zustand < 6)  setImage("gras5.png");
        if (zustand < 3)  setImage("gras0.png");
    }
}